JUCE: AnimatedPositionBehaviours::SnapToPageBoundaries Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AnimatedPositionBehaviours::SnapToPageBoundaries Struct Reference
juce_gui_basics » layout

A behaviour that gravitates an AnimatedPosition object towards the nearest integer position when released. More...

`#include <juce_AnimatedPositionBehaviours.h>`

## Public Member Functions
| SnapToPageBoundaries ()=default
void | releasedWithVelocity (double position, double releaseVelocity) noexcept
| Called by the AnimatedPosition class.
double | getNextPosition (double oldPos, double elapsedSeconds) const noexcept
| Called by the AnimatedPosition class to get the new position, after the given time has elapsed.
bool | isStopped (double position) const noexcept
| Called by the AnimatedPosition class to check whether the object is now stationary.

## Detailed Description

A behaviour that gravitates an AnimatedPosition object towards the nearest integer position when released.

This class is intended to be used as a template parameter to the AnimatedPosition class. It's handy when using an AnimatedPosition to show a series of pages, because it allows the pages can be scrolled smoothly, but when released, snaps back to show a whole page.

See also
  AnimatedPosition

## Constructor & Destructor Documentation

## ◆ SnapToPageBoundaries()

AnimatedPositionBehaviours::SnapToPageBoundaries::SnapToPageBoundaries | ( |  | ) |
| default

## Member Function Documentation

## ◆ releasedWithVelocity()

void AnimatedPositionBehaviours::SnapToPageBoundaries::releasedWithVelocity | ( | double | position,
|  | double | releaseVelocity
| ) |  |
| noexcept

Called by the AnimatedPosition class.

This tells us the position and velocity at which the user is about to release the object. The velocity is measured in units/second.

## ◆ getNextPosition()

double AnimatedPositionBehaviours::SnapToPageBoundaries::getNextPosition | ( | double | oldPos,
|  | double | elapsedSeconds
| ) |  | const
| noexcept

Called by the AnimatedPosition class to get the new position, after the given time has elapsed.

References isStopped().

## ◆ isStopped()

bool AnimatedPositionBehaviours::SnapToPageBoundaries::isStopped | ( | double | position | ) | const
| noexcept

Called by the AnimatedPosition class to check whether the object is now stationary.

Referenced by getNextPosition().

The documentation for this struct was generated from the following file:

- juce_AnimatedPositionBehaviours.h